Closed Bug 1545074 Opened 5 months ago Closed 5 months ago

Perma bc failure browser/components/preferences/in-content/tests/browser_contentblocking.js | reset the pref privacy.trackingprotection.fingerprinting.enabled - when Gecko 68 merges to Beta on 2019-05-06

Categories

(Firefox :: Preferences, defect, P1)

defect

Tracking

()

VERIFIED FIXED
Firefox 68
Tracking Status
firefox-esr60 --- unaffected
firefox66 --- unaffected
firefox67 --- unaffected
firefox68 --- verified

People

(Reporter: opoprus, Assigned: ewright)

References

(Regression)

Details

Attachments

(2 files)

[Tracking Requested - why for this release]:

Central as Beta simulation

Treeherder link: https://treeherder.mozilla.org/#/jobs?repo=try&resultStatus=testfailed%2Cbusted%2Cexception%2Cretry%2Cusercancel%2Crunnable&revision=287afa54394bb4ec2e58e1839a4e6e52540826a2&selectedJob=240906491

Failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=240906491&repo=try&lineNumber=6226

[task 2019-04-17T11:31:53.251Z] 11:31:53 INFO - TEST-START | browser/components/preferences/in-content/tests/browser_contentblocking.js

[task 2019-04-17T11:32:24.813Z] 11:32:24 INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_contentblocking.js | network.cookie.cookieBehavior has been set to 4 -
[task 2019-04-17T11:32:24.814Z] 11:32:24 INFO - Buffered messages finished
[task 2019-04-17T11:32:24.815Z] 11:32:24 INFO - TEST-UNEXPECTED-FAIL | browser/components/preferences/in-content/tests/browser_contentblocking.js | reset the pref privacy.trackingprotection.fingerprinting.enabled -
[task 2019-04-17T11:32:24.816Z] 11:32:24 INFO - Stack trace:
[task 2019-04-17T11:32:24.816Z] 11:32:24 INFO - chrome://mochikit/content/browser-test.js:test_ok:1314
[task 2019-04-17T11:32:24.818Z] 11:32:24 INFO - chrome://mochitests/content/browser/browser/components/preferences/in-content/tests/browser_contentblocking.js:testContentBlockingStrictCategory:235
[task 2019-04-17T11:32:24.819Z] 11:32:24 INFO - Not taking screenshot here: see the one that was previously logged
[task 2019-04-17T11:32:24.820Z] 11:32:24 INFO - TEST-UNEXPECTED-FAIL | browser/components/preferences/in-content/tests/browser_contentblocking.js | reset the pref privacy.trackingprotection.cryptomining.enabled -
[task 2019-04-17T11:32:24.821Z] 11:32:24 INFO - Stack trace:
[task 2019-04-17T11:32:24.822Z] 11:32:24 INFO - chrome://mochikit/content/browser-test.js:test_ok:1314
[task 2019-04-17T11:32:24.823Z] 11:32:24 INFO - chrome://mochitests/content/browser/browser/components/preferences/in-content/tests/browser_contentblocking.js:testContentBlockingStrictCategory:236
[task 2019-04-17T11:32:24.823Z] 11:32:24 INFO - Leaving test bound testContentBlockingStrictCategory
[task 2019-04-17T11:32:24.825Z] 11:32:24 INFO - Entering test bound testContentBlockingCustomCategory
[task 2019-04-17T11:32:24.826Z] 11:32:24 INFO - GECKO(2319) | ++DOCSHELL 0xe75f0000 == 2 [pid = 2470] [id = {c171880a-c596-4c61-8959-ff4f136f7de4}]
[task 2019-04-17T11:32:24.828Z] 11:32:24 INFO - GECKO(2319) | ++DOMWINDOW == 4 (0xf7067240) [pid = 2470] [serial = 63] [outer = (nil)]
[task 2019-04-17T11:32:24.830Z] 11:32:24 INFO - GECKO(2319) | ++DOMWINDOW == 5 (0xe79a2400) [pid = 2470] [serial = 64] [outer = 0xf7067240]
[task 2019-04-17T11:32:24.831Z] 11:32:24 INFO - GECKO(2319) | ++DOMWINDOW == 6 (0xe79a3c00) [pid = 2470] [serial = 65] [outer = 0xf7067240]
[task 2019-04-17T11:32:24.832Z] 11:32:24 INFO - GECKO(2319) | ++DOCSHELL 0xc78d9000 == 26 [pid = 2319] [id = {fa823601-08de-4569-a2cd-8b781f6c4f9a}]
[task 2019-04-17T11:32:24.832Z] 11:32:24 INFO - GECKO(2319) | ++DOMWINDOW == 126 (0xd0c98cd0) [pid = 2319] [serial = 406] [outer = (nil)]
[task 2019-04-17T11:32:24.832Z] 11:32:24 INFO - GECKO(2319) | ++DOMWINDOW == 127 (0xcc588000) [pid = 2319] [serial = 407] [outer = 0xd0c98cd0]
[task 2019-04-17T11:32:24.848Z] 11:32:24 INFO - GECKO(2319) | ++DOMWINDOW == 128 (0xc78d7000) [pid = 2319] [serial = 408] [outer = 0xd0c98cd0]
[task 2019-04-17T11:32:24.945Z] 11:32:24 INFO - GECKO(2319) | ++DOMWINDOW == 129 (0xc8166800) [pid = 2319] [serial = 409] [outer = 0xd0c98cd0]
[task 2019-04-17T11:32:26.299Z] 11:32:26 INFO - GECKO(2319) | --DOCSHELL 0xe799e000 == 1 [pid = 2470] [id = {5ccdf914-9b76-4224-889c-d84f5543ab32}] [url = about:blank]
[task 2019-04-17T11:32:26.659Z] 11:32:26 INFO - GECKO(2319) | --DOMWINDOW == 5 (0xf70678a0) [pid = 2470] [serial = 60] [outer = (nil)] [url = about:blank]
[task 2019-04-17T11:32:27.933Z] 11:32:27 INFO - GECKO(2319) | --DOMWINDOW == 128 (0xc8487400) [pid = 2319] [serial = 391] [outer = (nil)] [url = about:blank]
[task 2019-04-17T11:32:27.942Z] 11:32:27 INFO - GECKO(2319) | --DOMWINDOW == 127 (0xc7d86800) [pid = 2319] [serial = 388] [outer = (nil)] [url = about:blank]
[task 2019-04-17T11:32:27.943Z] 11:32:27 INFO - GECKO(2319) | --DOMWINDOW == 126 (0xc78d8400) [pid = 2319] [serial = 392] [outer = (nil)] [url = about:blank]
[task 2019-04-17T11:32:27.944Z] 11:32:27 INFO - GECKO(2319) | --DOMWINDOW == 125 (0xcc58ec00) [pid = 2319] [serial = 389] [outer = (nil)] [url = about:blank]
[task 2019-04-17T11:32:27.983Z] 11:32:27 INFO - GECKO(2319) | --DOCSHELL 0xc78d3c00 == 25 [pid = 2319] [id = {5fbb188f-550c-43c1-86a4-c2694dce12a9}] [url = about:blank]
[task 2019-04-17T11:32:27.991Z] 11:32:27 INFO - GECKO(2319) | --DOCSHELL 0xc78d9400 == 24 [pid = 2319] [id = {8ff2bcca-db73-45cc-b624-8d4631dc13cb}] [url = about:blank]
[task 2019-04-17T11:32:30.341Z] 11:32:30 INFO - GECKO(2319) | ++DOCSHELL 0xc78d6800 == 25 [pid = 2319] [id = {fc2d9b24-5714-4fec-a98d-5010c9a0cf0b}]
[task 2019-04-17T11:32:30.341Z] 11:32:30 INFO - GECKO(2319) | ++DOMWINDOW == 126 (0xd0c989a0) [pid = 2319] [serial = 410] [outer = (nil)]
[task 2019-04-17T11:32:30.365Z] 11:32:30 INFO - GECKO(2319) | [Parent 2319, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file /builds/worker/workspace/build/src/dom/base/nsContentUtils.cpp, line 3771
[task 2019-04-17T11:32:30.386Z] 11:32:30 INFO - GECKO(2319) | ++DOCSHELL 0xc7d93000 == 26 [pid = 2319] [id = {2ae4c877-149f-4ece-b374-dcd7da785e00}]
[task 2019-04-17T11:32:30.387Z] 11:32:30 INFO - GECKO(2319) | ++DOMWINDOW == 127 (0xd0c98ef0) [pid = 2319] [serial = 411] [outer = (nil)]
[task 2019-04-17T11:32:30.672Z] 11:32:30 INFO - GECKO(2319) | [Parent 2319, Main Thread] WARNING: NS_ENSURE_TRUE(alertsDND) failed: file /builds/worker/workspace/build/src/toolkit/components/alerts/nsAlertsService.cpp, line 271
[task 2019-04-17T11:32:31.498Z] 11:32:31 INFO - GECKO(2319) | ++DOMWINDOW == 128 (0xc78d4800) [pid = 2319] [serial = 412] [outer = 0xd0c989a0]
[task 2019-04-17T11:32:31.507Z] 11:32:31 INFO - GECKO(2319) | ++DOMWINDOW == 129 (0xc78dbc00) [pid = 2319] [serial = 413] [outer = 0xd0c98ef0]
[task 2019-04-17T11:32:32.557Z] 11:32:32 INFO - GECKO(2319) | --DOMWINDOW == 4 (0xe79a2000) [pid = 2470] [serial = 61] [outer = (nil)] [url = about:blank]
[task 2019-04-17T11:32:32.557Z] 11:32:32 INFO - GECKO(2319) | --DOMWINDOW == 3 (0xe79a2c00) [pid = 2470] [serial = 62] [outer = (nil)] [url = about:blank]
[task 2019-04-17T11:32:32.618Z] 11:32:32 INFO - GECKO(2319) | --DOMWINDOW == 128 (0xd69e9f00) [pid = 2319] [serial = 394] [outer = (nil)] [url = about:blank]
[task 2019-04-17T11:32:32.619Z] 11:32:32 INFO - GECKO(2319) | --DOMWINDOW == 127 (0xd69ea670) [pid = 2319] [serial = 395] [outer = (nil)] [url = about:blank]
[task 2019-04-17T11:32:33.100Z] 11:32:33 INFO - GECKO(2319) | JavaScript warning: chrome://global/content/elements/tree.js, line 493: Array.forEach is deprecated; use Array.prototype.forEach instead
[task 2019-04-17T11:32:33.325Z] 11:32:33 INFO - GECKO(2319) | --DOCSHELL 0xe75f0000 == 0 [pid = 2470] [id = {c171880a-c596-4c61-8959-ff4f136f7de4}] [url = about:blank]
[task 2019-04-17T11:32:33.687Z] 11:32:33 INFO - GECKO(2319) | --DOMWINDOW == 2 (0xf7067240) [pid = 2470] [serial = 63] [outer = (nil)] [url = about:blank]
[task 2019-04-17T11:32:35.044Z] 11:32:35 INFO - Console message: [JavaScript Warning: "Array.forEach is deprecated; use Array.prototype.forEach instead" {file: "chrome://global/content/elements/tree.js" line: 493}]
[task 2019-04-17T11:32:36.112Z] 11:32:36 INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_contentblocking.js | the pref privacy.trackingprotection.enabled remains as default value -

Flags: needinfo?(ewright)
Regressed by: 1543280
Assignee: nobody → ewright
Status: NEW → ASSIGNED
Flags: needinfo?(ewright)
Priority: -- → P1
Pushed by ewright@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/02b89c29412b
Future-proof the strict category expectations. r=johannh
Status: ASSIGNED → RESOLVED
Closed: 5 months ago
Resolution: --- → FIXED
Target Milestone: --- → Firefox 68

This is still failing on beta sim:
https://treeherder.mozilla.org/#/jobs?repo=try&resultStatus=testfailed%2Cbusted%2Cexception%2Cretry%2Cusercancel%2Crunnable&revision=b5e7c195b08fdd190233c24a8e9e56d33ff4eee9&selectedJob=241150956

Failure log:
https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=241150956&repo=try&lineNumber=6257

[task 2019-04-18T12:51:37.711Z] 12:51:37 INFO - TEST-PASS | browser/components/preferences/in-content/tests/browser_contentblocking.js | browser.contentblocking.category has been set to custom -
[task 2019-04-18T12:51:37.713Z] 12:51:37 INFO - Buffered messages finished
[task 2019-04-18T12:51:37.715Z] 12:51:37 INFO - TEST-UNEXPECTED-FAIL | browser/components/preferences/in-content/tests/browser_contentblocking.js | Uncaught exception - undefined - timed out after 50 tries.
[task 2019-04-18T12:51:37.717Z] 12:51:37 INFO - Leaving test bound testContentBlockingCustomCategory
[task 2019-04-18T12:51:37.718Z] 12:51:37 INFO - Entering test bound testContentBlockingDependentTPControls
[task 2019-04-18T12:51:37.719Z] 12:51:37 INFO - GECKO(2392) | ++DOCSHELL 0xe76ee800 == 1 [pid = 2547] [id = {e275b383-8439-46d6-977d-360d0aeb6252}]
[task 2019-04-18T12:51:37.720Z] 12:51:37 INFO - GECKO(2392) | ++DOMWINDOW == 1 (0xf7167240) [pid = 2547] [serial = 70] [outer = (nil)]
[task 2019-04-18T12:51:37.721Z] 12:51:37 INFO - GECKO(2392) | ++DOMWINDOW == 2 (0xe7987400) [pid = 2547] [serial = 71] [outer = 0xf7167240]
[task 2019-04-18T12:51:37.722Z] 12:51:37 INFO - GECKO(2392) | ++DOMWINDOW == 3 (0xe798a000) [pid = 2547] [serial = 72] [outer = 0xf7167240]
[task 2019-04-18T12:52:07.402Z] 12:52:07 INFO - GECKO(2392) | --DOMWINDOW == 2 (0xe7987400) [pid = 2547] [serial = 71] [outer = (nil)] [url = about:blank]
[task 2019-04-18T12:52:11.948Z] 12:52:11 INFO - Longer timeout required, waiting longer... Remaining timeouts: 1
[task 2019-04-18T12:52:35.721Z] 12:52:35 INFO - GECKO(2392) | --DOMWINDOW == 16 (0xc5971000) [pid = 2392] [serial = 407] [outer = (nil)] [url = about:blank]
[task 2019-04-18T12:52:56.003Z] 12:52:56 INFO - GECKO(2392) | --DOMWINDOW == 1 (0xf7167240) [pid = 2594] [serial = 1] [outer = (nil)] [url = about:blank]
[task 2019-04-18T12:53:41.948Z] 12:53:41 INFO - Not taking screenshot here: see the one that was previously logged
[task 2019-04-18T12:53:41.948Z] 12:53:41 INFO - TEST-UNEXPECTED-FAIL | browser/components/preferences/in-content/tests/browser_contentblocking.js | Test timed out -
[task 2019-04-18T12:53:41.985Z] 12:53:41 INFO - GECKO(2392) | --DOMWINDOW == 0 (0xe8765000) [pid = 2594] [serial = 2] [outer = (nil)] [url = about:blank]
[task 2019-04-18T12:53:43.132Z] 12:53:43 INFO - GECKO(2392) | MEMORY STAT | vsize 1005MB | residentFast 361MB | heapAllocated 94MB
[task 2019-04-18T12:53:43.132Z] 12:53:43 INFO - TEST-OK | browser/components/preferences/in-content/tests/browser_contentblocking.js | took 181295ms
[task 2019-04-18T12:53:43.132Z] 12:53:43 INFO - Not taking screenshot here: see the one that was previously logged
[task 2019-04-18T12:53:43.133Z] 12:53:43 INFO - TEST-UNEXPECTED-FAIL | browser/components/preferences/in-content/tests/browser_contentblocking.js | Found a tab after previous test timed out: about:blank -
[task 2019-04-18T12:53:43.148Z] 12:53:43 INFO - Not taking screenshot here: see the one that was previously logged
[task 2019-04-18T12:53:43.149Z] 12:53:43 INFO - TEST-UNEXPECTED-FAIL | browser/components/preferences/in-content/tests/browser_contentblocking.js | Found a tab after previous test timed out: about:preferences#privacy -
[task 2019-04-18T12:53:43.270Z] 12:53:43 INFO - GECKO(2392) | ++DOCSHELL 0xde9ec800 == 1 [pid = 2572] [id = {5de2e0cd-794e-4574-827a-b05b3818a7a1}]
[task 2019-04-18T12:53:43.271Z] 12:53:43 INFO - GECKO(2392) | ++DOMWINDOW == 1 (0xf7067240) [pid = 2572] [serial = 13] [outer = (nil)]
[task 2019-04-18T12:53:43.352Z] 12:53:43 INFO - GECKO(2392) | ++DOMWINDOW == 2 (0xded9ec00) [pid = 2572] [serial = 14] [outer = 0xf7067240]
[task 2019-04-18T12:53:43.352Z] 12:53:43 INFO - checking window state
[task 2019-04-18T12:53:43.469Z] 12:53:43 INFO - TEST-START | browser/components/preferences/in-content/tests/browser_contentblocking_categories.js
[task 2019-04-18T12:53:43.485Z] 12:53:43 INFO - Not taking screenshot here: see the one that was previously logged
[task 2019-04-18T12:53:43.487Z] 12:53:43 INFO - Buffered messages logged at 12:53:43
[task 2019-04-18T12:53:43.488Z] 12:53:43 INFO - Entering test bound testContentBlockingStandardDefinition
[task 2019-04-18T12:53:43.489Z] 12:53:43 INFO - Buffered messages finished
[task 2019-04-18T12:53:43.490Z] 12:53:43 INFO - TEST-UNEXPECTED-FAIL | browser/components/preferences/in-content/tests/browser_contentblocking_categories.js | browser.contentblocking.category starts on standard - Got custom, expected standard
[task 2019-04-18T12:53:43.491Z] 12:53:43 INFO - Stack trace:
[task 2019-04-18T12:53:43.492Z] 12:53:43 INFO - chrome://mochikit/content/browser-test.js:test_is:1325
[task 2019-04-18T12:53:43.493Z] 12:53:43 INFO - chrome://mochitests/content/browser/browser/components/preferences/in-content/tests/browser_contentblocking_categories.js:testContentBlockingStandardDefinition:25
[task 2019-04-18T12:53:43.493Z] 12:53:43 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest/<:1116
[task 2019-04-18T12:53:43.495Z] 12:53:43 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest:1144
[task 2019-04-18T12:53:43.497Z] 12:53:43 INFO - chrome://mochikit/content/browser-test.js:nextTest/<:1005
[task 2019-04-18T12:53:43.498Z] 12:53:43 INFO - chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<:803

Flags: needinfo?(ewright)
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
Target Milestone: Firefox 68 → ---

We were waiting for a condition which in beta would not be true. All other waitForCondition in this file should be future-proof.

Pushed by ewright@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/3000254ea670
wait for condition appropriate for all channels. r=johannh
Status: REOPENED → RESOLVED
Closed: 5 months ago5 months ago
Resolution: --- → FIXED
Target Milestone: --- → Firefox 68
Flags: needinfo?(ewright)
Regressions: 1531920
You need to log in before you can comment on or make changes to this bug.